UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor jaklapel
Visitor
3,056 Views
Registered: ‎02-22-2017

IP-Xact 2014 Support

Jump to solution

At present, Vivado only supports the 2009 version of IP-Xact.  Does anyone know if there are any plans for Vivado to support the 2014 version in the near future? A number of tools are switching to supporting 2014 only (e.g. Kactus2) because there isn't as much need for the vendor extensions.

0 Kudos
1 Solution

Accepted Solutions
Xilinx Employee
Xilinx Employee
5,468 Views
Registered: ‎07-22-2008

Re: IP-Xact 2014 Support

Jump to solution

I got the following note from IP Flows engineering:

 "No such plans (it’ll be very expensive for us)"

Is your customer asking out of curiosity or is there a technical reason they really need 2014?  If there is a good technical reason, file a CR and request it; and link to the SR so that it can at lease be tracked.

4 Replies
Xilinx Employee
Xilinx Employee
5,469 Views
Registered: ‎07-22-2008

Re: IP-Xact 2014 Support

Jump to solution

I got the following note from IP Flows engineering:

 "No such plans (it’ll be very expensive for us)"

Is your customer asking out of curiosity or is there a technical reason they really need 2014?  If there is a good technical reason, file a CR and request it; and link to the SR so that it can at lease be tracked.

Highlighted
Visitor jaklapel
Visitor
3,017 Views
Registered: ‎02-22-2017

Re: IP-Xact 2014 Support

Jump to solution

I ask primarily for planning purposes of our own IP cores.  A lot of my understanding of IP-Xact comes from this article: http://olofkindgren.blogspot.com/2016/11/ip-xact-good-bad-and-outright-madness.html

 

We write a lot of our own IP cores and may pass them on to customers or test them in toolchains other than Xilinx.  I know a lot of toolchains use the 2009 standard, but there are some converting to the 2014 standard presumably for the reasons mentioned in that article.

 

I would imagine though that it would be quite a bit of work to support 2014 (and even more to ideally support both), since the 2014 spec is not backwards compatible with the 2009 spec.

 

Thanks for the info.

0 Kudos
Newbie qrtolof
Newbie
2,358 Views
Registered: ‎10-18-2017

Re: IP-Xact 2014 Support

Jump to solution

Haha! I was a bit surprised to find a reference to my blog as the first hit when I googled for "vivado ipxact 2014" :)

 

I would second the request for IP-XACT 2014 compatibility. I'm building a Python library (https://github.com/olofk/ipyxact) to handle reading and writing IP-XACT files in Python and it's getting increasingly difficult to handle all versions, so I'm planning to keep supporting import of all IP-XACT versions, but only emit IP-XACT 2014. This will be a problem if I want to produce files that Vivado can read

 

@howardp  have you seen that Accellera provide scripts to automatically upgrade older IP-XACT files? That might make it a bit easier in that you can support 2014 internally, and convert older files on the fly. I'm using those myself with good results

0 Kudos
Xilinx Employee
Xilinx Employee
2,337 Views
Registered: ‎07-22-2008

Re: IP-Xact 2014 Support

Jump to solution

Thanks for the information.  I've forwarded it to our IP service software development team for consideration.

0 Kudos